-- Functions --
-- RWL --

function string.split(str,char)
	local t = {}
	local oldf = 0
	for f = 1,#str do
		if string.sub(str,f,f) == char then
			table.insert(t,string.sub(str,oldf+1,f-1))
			oldf = f
		end
	end
	table.insert(t,string.sub(str,oldf+1,#str))
	
	return t
end

function getDrawX(val,rot,w,h)
	return val - w/2 * math.cos(rot) + h/2 * math.sin(rot)
end
function getDrawY(val,rot,w,h)
	return val - h/2 * math.cos(rot) - w/2 * math.sin(rot)
end

function math.round(num, idp)
  local mult = 10^(idp or 0)
  return math.floor(num * mult + 0.5) / mult
end