-- Super Mindcrack Bros GUI --
-- RWL --

points = 0
coins = 0
lives = 3
starttick = 0
timetick = 0
completetick = 0
lavatick = 0
won = false
wintick = 0
fade = 0
onVolume = false
splashsize = 0
lava = 1
lavadir = 1
math.randomseed(os.time())
splash = math.random(1,#splashtext)
fallingitems = {}
additemtick = 0

mode = "menu"

function drawGUI()
	
	if mode == "menu" or mode == "character" or mode == "about" or mode == "settings" then
		love.graphics.setColor(150,150,150)
		for fx = 1,resx/(16*4)+1 do
			for fy = 1,resy/(16*4)+1 do
				love.graphics.draw(tilesimg,tilesquad[-3],(fx-1)*64,(fy-1)*64,0,4,4)
			end
		end
	end
	
	if mode == "start" then
		love.graphics.setColor(255,255,255)
		love.graphics.draw(playerimg[class],playerquad[1],resx/2-8*4-50,resy/2-8*4,0,4,4)
		marioprint("x "..lives,resx/2,resy/2,3)
		marioprint("world "..mapA.."-"..mapB,resx/2-110,resy/2-70,3)
	
	elseif mode == "gameover" then
		love.graphics.setColor(255,255,255)
		marioprint("game over",resx/2-(3*8*9)/2,resy/2,3)
		
	elseif mode == "complete" then
		love.graphics.setColor(255,255,255)
		
		for k,v in pairs (fallingitems) do
			if v.type == 1 then
				love.graphics.draw(potatostickimg,getDrawX(v.x,v.r,16*4,16*4),getDrawY(v.y,v.r,16*4,16*4),v.r,4,4)
			elseif v.type == 2 then
				love.graphics.draw(axeimg,getDrawX(v.x,v.r,16*4,16*4),getDrawY(v.y,v.r,16*4,16*4),v.r,4,4)
			elseif v.type >= 3 and v.type <= 7 then
				love.graphics.draw(tilesimg,tilesquad[-v.type-3],getDrawX(v.x,v.r,16*4,16*4),getDrawY(v.y,v.r,16*4,16*4),v.r,4,4)
			elseif v.type == 8 then
				love.graphics.draw(tilesimg,tilesquad[-17],getDrawX(v.x,v.r,16*4,16*4),getDrawY(v.y,v.r,16*4,16*4),v.r,4,4)
			elseif v.type == 9 then
				love.graphics.draw(tilesimg,tilesquad[-18],getDrawX(v.x,v.r,16*4,16*4),getDrawY(v.y,v.r,16*4,16*4),v.r,4,4)
			elseif v.type == 10 then
				love.graphics.draw(tilesimg,tilesquad[-28],getDrawX(v.x,v.r,16*4,16*4),getDrawY(v.y,v.r,16*4,16*4),v.r,4,4)
			end
		end
		
		marioprint("you win!",resx/2-(8*3*8)/2,resy/2-120,3)
		-- marioprint("thanks for playing",resx/2-(18*3*8)/2,resy/2-80,3)
		marioprint("your final score: "..lead(points,6),resx/2-(24*3*8)/2,resy/2-40,3)
		if points > highscore then
			marioprint("new highscore!",resx/2-(14*3*8)/2,resy/2,3)
		end
		if highscore == 0 then
			marioprint("new characters unlocked",resx/2-(23*2*8)/2,resy/2+80,2)
		end
		
	elseif mode == "menu" then
		love.graphics.setColor(255,255,255)
		love.graphics.draw(logoimg,resx/2-logoimg:getWidth()/2*1,resy/2-logoimg:getHeight()/2*1,0,1,1)
		if highscore > 0 then
			marioprint("highscore: "..lead(highscore,6),resx/2-(17*3*8)/2,resy-70,3)
		end
		if not onWindows then
			marioprint("warning: may be buggy on mac/linux version",20,resy-20,1.5)
		end
		marioprint("super mindcrack bros",resx/2-(20*6*8)/2,75,6)
		love.graphics.draw(splashtext[splash],getDrawX(resx/2+450,-0.4,splashtext[splash]:getWidth()*2*splashsize,splashtext[1]:getHeight()*2*splashsize),getDrawY(120,-0.4,splashtext[splash]:getWidth()*2*splashsize,splashtext[splash]:getHeight()*2*splashsize),-0.4,2*splashsize,2*splashsize)
		-- love.graphics.setColor(63,63,0)
		-- mcprint("Open Source",resx/2+450+1,130+1,1)
		-- love.graphics.setColor(255,255,0)
		-- mcprint("Open source",resx/2+450,130,1)
		
	elseif mode == "character" then
		love.graphics.setColor(255,255,255)
		if not completed then
			marioprint("complete the game to unlock more characters",resx/2-(43*8*2)/2,25,2)
		end
		for k,v in pairs (char) do
			if class == v.n then
				if isMouseOver(resx/2+v.x-40,v.y-40,80,80) then
					love.graphics.setColor(255,255,255)
				else
					love.graphics.setColor(200,200,200)
				end
			else
				if isMouseOver(resx/2+v.x-40,v.y-40,80,80) then
					love.graphics.setColor(150,150,150)
				else
					love.graphics.setColor(100,100,100)
				end
			end
			love.graphics.rectangle("fill",resx/2+v.x-40,v.y-40,80,80)
			love.graphics.setColor(0,0,0)
			love.graphics.rectangle("line",resx/2+v.x-40,v.y-40,80,80)
			love.graphics.setColor(255,255,255)
			love.graphics.draw(playerimg[v.n],playerquad[1],resx/2+v.x-8*4,v.y-8*4,0,4,4)
			if v.y < 400 then
				marioprint(v.n,resx/2+v.x-(8*#v.n*1.5)/2,v.y+50,1.5)
			else
				marioprint(v.n,resx/2+v.x-(8*#v.n*1.3)/2,v.y+50,1.3)
			end
		end
		
	elseif mode == "about" then
		love.graphics.setColor(0,0,0,100)
		love.graphics.rectangle("fill",resx/2-400,10,800,460)
		
		love.graphics.setColor(255,255,255)
		marioprint("made by cubecoded",resx/2-(17*2.5*8)/2,60,2.5)
		love.graphics.draw(cubecodedskin,resx/2-350,60,0,5,5)
		marioprint("game concept by domains axe",resx/2-(27*2.5*8)/2,180,2.5)
		love.graphics.draw(domainsaxeskin,resx/2-350,180,0,5,5)
		marioprint("super mindcrack bros is a fan made game",resx/2-380,330,1.5)
		marioprint("sound effects and font made by nintendo",resx/2-380,360,1.5)
		marioprint("minecraft tile textures made by mojang",resx/2-380,390,1.5)
		marioprint("programmed in lua with the love2d framework",resx/2-380,420,1.5)
		marioprint("big thanks to the mindcrack reddit for the beta feedback",resx/2-380,450,1.5)
		
	elseif mode == "settings" then
		-- love.graphics.setColor(0,0,0,100)
		-- love.graphics.rectangle("fill",resx/2-400,50,800,500)
		
		love.graphics.setColor(255,255,255)
		marioprint("settings",resx/2-(8*8*2)/2,20,2)
		marioprint("controls",resx/2-(8*8*2)/2,250,2)
		
		if love.mouse.isDown("l") and onVolume then
			volume = math.min(math.max(love.mouse.getX() - resx/2 + btnwidth/2 - 9, 0), btnwidth-18)/btnwidth
		end
		
	elseif mode == "game" then
		if won then
			if love.timer.getTime() >= wintick + 8 then
				starttick = love.timer.getTime()
				time = 400
				if mapA == lastmap then
					completetick = love.timer.getTime()
					mode = "complete"
					completed = true
					reloadCharacters()
					playSound(sound.endmusic)
					fallingitems = {}
				else
					mode = "start"
					mapA = mapA + 1
					mapB = 1
				end
				love.graphics.setBackgroundColor(0,0,0)
				won = false
				love.graphics.setColor(0,0,0)
				love.graphics.rectangle("fill",0,0,resx,resy)
			elseif love.timer.getTime() > wintick + 4 then
				love.graphics.setColor(0,0,0,math.min(love.timer.getTime()-wintick-4,3)*(255/3))
				love.graphics.rectangle("fill",0,0,resx,resy)
			end
		end
		if dead and mode ~= "gameover" then
			if love.timer.getTime() >= deathtick + 3.5 then
				love.graphics.setBackgroundColor(0,0,0)
				love.graphics.setColor(0,0,0)
				love.graphics.rectangle("fill",0,0,resx,resy)
				if lives >= 0 then
					starttick = love.timer.getTime()
					dead = false
					mode = "start"
					readmap(mapA,1)
					readmap(mapA,2)
					-- loadmap(mapA,1)
				else
					mode = "gameover"
					gameovertick = love.timer.getTime()
					playSound(sound.gameover)
				end
			else
				love.graphics.setColor(0,0,0,math.min(love.timer.getTime()-deathtick,3)*(255/3))
				love.graphics.rectangle("fill",0,0,resx,resy)
			end
		end
		
	end
	
	-- Draw Buttons --
	love.graphics.setColor(255,255,255)
	if mode ~= "game" then
		for k,v in pairs (btn) do
			if v.m == mode then
				drawButton(v.name,v.x,v.y,2,v.slider)
			end
		end
	end
	if mode == "settings" then
		love.graphics.setColor(255,255,255)
		love.graphics.draw(sliderimg,resx/2-btnwidth/2+volume*btnwidth,150-btnheight/2,0,2,2)
	end
	
	if enterkey then
		love.graphics.setColor(0,0,0,100)
		love.graphics.rectangle("fill",0,0,resx,resy)
		love.graphics.setColor(255,255,255)
		marioprint("enter key for "..string.lower(enterkey),resx/2-((14+#enterkey)*8*3)/2,resy/2,3)
	end
	
	if mode == "game" or mode == "start" then
		love.graphics.setColor(255,255,255)
		marioprint(class,resx/5*1-(3*8*6)/2,20,3)
		marioprint(lead(points,6),resx/5*1-(3*8*6)/2,60,3)
		
		love.graphics.draw(tilesimg,tilesquad[coinimg],resx/5*2-(3*8*3),40,0,3,3)
		marioprint(" x"..lead(coins,2),resx/5*2-(3*8*4)/2,60,3)
		
		marioprint("world",resx/5*3-(3*8*5)/2,20,3)
		marioprint(mapA.."-"..mapB,resx/5*3-(3*8*3)/2,60,3)
		
		marioprint("time",resx/5*4-(3*8*4)/2,20,3)
		marioprint(lead(time,3),resx/5*4-(3*8*3)/2,60,3)
	end
	
end

function updateGUI(dt)
	if mode == "menu" then
		splashsize = (math.cos(love.timer.getTime()*10)+1)/14+1
		
	elseif mode == "game" and not won then
		if love.timer.getTime() >= timetick + 1 and not dead then
			timetick = love.timer.getTime()
			time = time - 1
			if time <= 0 then
				die()
			end
		end
		
		if love.timer.getTime() > lavatick + 0.1 then
			lavatick = love.timer.getTime()
			lava = lava + lavadir
			if lava >= 10 or lava <= 1 then
				lavadir = -lavadir
			end
		end
		
	-- Start New Map --
	elseif mode == "start" then
		if love.timer.getTime() > starttick + 2 then
			mode = "game"
			flag = true
			animateflag = false
			flagr = 0
			flagm = 1
			time = 400
			
			player.x=10*scale
			player.y=17*scale
			player.q = 6
			
			addMapEntities()
			flagx = (#map[mapA][flagm][1]-22)*scale
			
			loadmap(mapA,1)
		end
		
	elseif mode == "complete" then
			if love.timer.getTime() > additemtick + 0.5 then
				additemtick = love.timer.getTime()
				table.insert(fallingitems,{type=math.random(1,10),x=math.random(0,resx),y=-100,r=math.random(0,20*math.pi)/10,dir=math.random(0,1)*2-1})
			end
			for k,v in pairs (fallingitems) do
				v.y = v.y + 170 * dt
				v.r = v.r + 1.7 * v.dir * dt
				if v.y > resy+100 then
					table.remove(fallingitems,k)
				end
			end
			
	end
end

function menuClick(x,y)
	if mode == "menu" then
		if mouseOverButton("start") then
			starttick = love.timer.getTime()
			love.graphics.setBackgroundColor(0,0,0)
			mode = "start"
			playSound(sound.btn)
			time = 400
			points = 0
			coins = 0
			lives = 3
			dead = false
			flagr = 0
			flaganimated = false
			readMaps()
			-- loadmap(firstmap,1)
			mapA = firstmap
			mapB = 1
			mobsound = false
			playerscale = scale/12
			big = false
			if class == "mcgamer" then
				coinimg = -7
			elseif class == "beef" then
				coinimg = -8
			elseif class == "etho" or class == "seth" then
				coinimg = -9
			elseif class == "zisteau" then
				coinimg = -10
			elseif class == "gennyb" then
				coinimg = -17
			elseif class == "zombie" then
				coinimg = -18
			elseif class == "creeper" then
				coinimg = -28
			else
				coinimg = -6
			end
			
		elseif mouseOverButton("character") then
			playSound(sound.btn)
			mode = "character"
			
		elseif mouseOverButton("about") then
			playSound(sound.btn)
			mode = "about"
			
		elseif mouseOverButton("settings") then
			playSound(sound.btn)
			mode = "settings"
			
		elseif mouseOverButton("exit") then
			love.event.quit()
		end
		
	elseif mode == "character" then
		if mouseOverButton("back1") then
			playSound(sound.btn)
			mode = "menu"
		end
		
		for k,v in pairs (char) do
			if isMouseOver(resx/2+v.x-40,v.y-40,80,80) and class ~= v.n then
				playSound(sound.btn)
				class = v.n
				break
			end
		end
		
	elseif mode == "about" then
		if mouseOverButton("back2") then
			playSound(sound.btn)
			mode = "menu"
		elseif onWindows and mouseOverButton("video") then
			playSound(sound.btn)
			os.execute("start http://bit.ly/1ao3EW6")
		elseif onWindows and mouseOverButton("channel") then
			playSound(sound.btn)
			os.execute("start http://bit.ly/1asUQhT")
		end
		
	elseif mode == "settings" then
		if mouseOverButton("back3") then
			playSound(sound.btn)
			Settings.save()
			mode = "menu"
			
		elseif mouseOverButton("fullscreen") then
			playSound(sound.btn)
			fullscreen = not fullscreen
			love.window.setMode(resx,resy,{fullscreen=fullscreen})
			
		elseif mouseOverButton("volume") then
			playSound(sound.btn)
			onVolume = true
			volume = math.min(math.max(love.mouse.getX() - resx/2 + btnwidth/2 - 9, 0), btnwidth-18)/btnwidth
			
		elseif mouseOverButton("controlRight") then
			playSound(sound.btn)
			enterkey = "Right"
			
		elseif mouseOverButton("controlLeft") then
			playSound(sound.btn)
			enterkey = "Left"
			
		elseif mouseOverButton("controlDown") then
			playSound(sound.btn)
			enterkey = "Down"
			
		elseif mouseOverButton("controlJump") then
			playSound(sound.btn)
			enterkey = "Jump"
			
		elseif mouseOverButton("controlSprint") then
			playSound(sound.btn)
			enterkey = "Sprint"
			
		end
		
	elseif mode == "complete" then
		if mouseOverButton("end") then
			love.mouse.setVisible(true)
			for k,v in pairs (sound) do
				love.audio.stop(v)
			end
			playSound(sound.btn)
			mode = "menu"
			highscore = math.max(highscore,points)
			Settings.save()
		end
			
	end
end

function menuUnClick(x,y)
	if onVolume then
		volume = math.min(math.max(love.mouse.getX() - resx/2 + btnwidth/2 - 9, 0), btnwidth-18)/btnwidth
		for k,v in pairs (sound) do
			v:setVolume(volume)
		end
		sound.overworld:setVolume(volume/4*3)
		sound.underworld:setVolume(volume/4*3)
	end
	onVolume = false
end

function isMouseOver(x,y,w,h)
	return love.mouse.getX() > x and love.mouse.getX() < x + w and love.mouse.getY() > y and love.mouse.getY() < y + h
end

function mouseOverButton(name)
	return love.mouse.getX() > btn[name].x and love.mouse.getX() < btn[name].x + btnwidth and love.mouse.getY() > btn[name].y and love.mouse.getY() < btn[name].y + btnheight
end

function lead(str,len)
	str = tostring(str)
	for f=1,len-#str do
		str = "0"..str
	end
	return str
end