-- Pipes --
-- RWL --

function updatePipes(dt)
	if inpipe then
		if love.timer.getTime() > pipetick + 2 then
			if mapA == 1 then
				if mapB == 1 then
					if inpipe == "down" then
						loadmap(1,2)
						inpipe = false
						player.x = 5 * scale
						player.y = 8 * scale
						if class == "bdubs" then
							playSound(sound.bdubsdark)
						end
						player.q=6
					elseif inpipe == "up" then
						inpipe = false
						if class == "bdubs" then
							playSound(sound.bdubsstop)
						end
					end
				elseif mapB == 2 then
					loadmap(1,1)
					player.x = 67 * scale
					player.y = 17.3 * scale
					enterPipe("up")
				end
				
			elseif mapA == 2 then
				if mapB == 1 then
					if inpipe == "down" then
						loadmap(2,2)
						inpipe = false
						player.x = 5 * scale
						player.y = 8 * scale
						player.q=6
					elseif inpipe == "up" then
						inpipe = false
					end
				elseif mapB == 2 then
					loadmap(2,1)
					player.x = 75 * scale
					player.y = 18.3 * scale
					enterPipe("up")
				end
				
			elseif mapA == 4 then
				if mapB == 1 then
					if inpipe == "down" then
						loadmap(4,2)
						inpipe = false
						player.x = 5 * scale
						player.y = 8 * scale
						player.q=6
					elseif inpipe == "up" then
						inpipe = false
					end
				elseif mapB == 2 then
					if inpipe == "right" then
						loadmap(4,1)
						player.x = 61 * scale
						player.y = 18.3 * scale
						enterPipe("up")
					elseif inpipe == "down" then
						loadmap(4,3)
						player.x = 5 * scale
						player.y = 8 * scale
						inpipe = false
					else
						inpipe = false
					end
				elseif mapB == 3 then
					loadmap(4,2)
					player.x = 54 * scale
					player.y = 15.3 * scale
					enterPipe("up")
				end
				
			elseif mapA == 5 then
				if mapB == 1 then
					if inpipe == "down" then
						loadmap(5,2)
						inpipe = false
						player.x = 5 * scale
						player.y = 8 * scale
						player.q=6
					elseif inpipe == "up" then
						inpipe = false
					end
				elseif mapB == 2 then
					loadmap(5,1)
					player.x = 84 * scale
					player.y = 18.3 * scale
					enterPipe("up")
				end
				
			elseif mapA == 6 then
				if mapB == 1 then
					if inpipe == "right" then
						loadmap(6,2)
						inpipe = false
						player.x = 5 * scale
						player.y = 8 * scale
						player.q=6
					end
				end
				
			elseif mapA == 7 then
				if mapB == 1 then
					if inpipe == "down" then
						loadmap(7,2)
						inpipe = false
						player.x = 5 * scale
						player.y = 8 * scale
						player.q = 6
					else
						inpipe = false
					end
				elseif mapB == 2 then
					loadmap(7,1)
					player.x = 86 * scale
					player.y = 18.3 * scale
					player.q = 1
					enterPipe("up")
				end
				
			end
			
		end
		
		if inpipe == "down" then
			player.y = player.y + 1 * scale * dt
			player.q = 1
		elseif inpipe == "up" then
			player.y = player.y - 1 * scale * dt
			player.x = math.round(player.x/scale,0)*scale
			player.q = 1
		elseif inpipe == "right" then
			player.x = player.x + 1 * scale * dt
			player.y = math.round(player.y/scale,0)*scale
			player.q = 6
		end
		
	end
end