-- Sound --
-- RWL --

sound = {}

sound.overworld = love.audio.newSource("sounds/overworld.ogg","stream")
sound.overworld:setLooping(true)
sound.underworld = love.audio.newSource("sounds/underground.ogg","static")
sound.underworld:setLooping(true)
sound.endmusic = love.audio.newSource("sounds/princessmusic.ogg","static")
sound.endmusic:setLooping(true)
sound.castle = love.audio.newSource("sounds/castle.ogg","static")
sound.castle:setLooping(true)

sound.coin = love.audio.newSource("sounds/coin.ogg","static")
sound.cake = love.audio.newSource("sounds/cake.ogg","static")
sound.eat = love.audio.newSource("sounds/eat.ogg","static")
sound.jump = love.audio.newSource("sounds/jump.ogg","static")
sound.pipe = love.audio.newSource("sounds/pipe.ogg","static")
sound.btn = love.audio.newSource("sounds/button.ogg","static")
sound.bump = love.audio.newSource("sounds/bump.ogg","static")
sound.crash = love.audio.newSource("sounds/crash.ogg","static")
sound.gameover = love.audio.newSource("sounds/gameover.ogg","static")
sound.levelend = love.audio.newSource("sounds/end.ogg","static")
sound.levelendflag = love.audio.newSource("sounds/flagend.ogg","static")
sound.blockhit = love.audio.newSource("sounds/blockhit.ogg","static")
sound.stomp = love.audio.newSource("sounds/stomp.ogg","static")
sound.death = love.audio.newSource("sounds/death.ogg","static")
sound.shrink = love.audio.newSource("sounds/shrink.ogg","static")
sound.oneup = love.audio.newSource("sounds/oneup.ogg","static")
sound.travel = love.audio.newSource("sounds/travel.ogg","static")
-- sound.fizz= love.audio.newSource("sounds/fizz.ogg","static")
sound.explode= love.audio.newSource("sounds/explode.ogg","static")

sound.bdubsdark = love.audio.newSource("sounds/speech/bdubsdark.ogg","static")
sound.bdubsholdon = love.audio.newSource("sounds/speech/bdubsholdon.ogg","static")
sound.bdubsstop = love.audio.newSource("sounds/speech/bdubsstop.ogg","static")
sound.bdubshey = love.audio.newSource("sounds/speech/bdubshey.ogg","static")
sound.bdubsmobs = love.audio.newSource("sounds/speech/bdubsmobs.ogg","static")

function playSound(snd)
	if snd then
		love.audio.stop(snd)
		love.audio.play(snd)
	end
end